BouncyCastlePQCProvider (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.jcajce.provider

## Class BouncyCastlePQCProvider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - java.security.Provider
        - - org.bouncycastle.pqc.jcajce.provider.BouncyCastlePQCProvider

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>, ConfigurableProvider

      public class BouncyCastlePQCProvider
      extends java.security.Provider
      implements ConfigurableProvider

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `java.security.Provider.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProviderConfiguration` | `CONFIGURATION`
    `static java.lang.String` | `PROVIDER_NAME`

    - ### Fields inherited from class java.util.Properties

      `defaults`

    - ### Fields inherited from interface org.bouncycastle.jcajce.provider.config.ConfigurableProvider

      `DH_DEFAULT_PARAMS, EC_IMPLICITLY_CA, THREAD_LOCAL_DH_DEFAULT_PARAMS, THREAD_LOCAL_EC_IMPLICITLY_CA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BouncyCastlePQCProvider()` Construct a new provider.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlgorithm(java.lang.String key, java.lang.String value)`
    `void` | `addKeyInfoConverter(ASN1ObjectIdentifier oid, AsymmetricKeyInfoConverter keyInfoConverter)`
    `static java.security.PrivateKey` | `getPrivateKey(PrivateKeyInfo privateKeyInfo)`
    `static java.security.PublicKey` | `getPublicKey(SubjectPublicKeyInfo publicKeyInfo)`
    `boolean` | `hasAlgorithm(java.lang.String type, java.lang.String name)`
    `void` | `setParameter(java.lang.String parameterName, java.lang.Object parameter)`

    - ### Methods inherited from class java.security.Provider

      `clear, elements, entrySet, get, getInfo, getName, getProperty, getService, getServices, getVersion, keys, keySet, load, put, putAll, putService, remove, removeService, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_NAME

          public static java.lang.String PROVIDER_NAME

    - #### CONFIGURATION

          public static final ProviderConfiguration CONFIGURATION

  - ### Constructor Detail

    - #### BouncyCastlePQCProvider

          public BouncyCastlePQCProvider()

      Construct a new provider. This should only be required when using runtime registration of the provider using the `Security.addProvider()` mechanism.

  - ### Method Detail

    - #### setParameter

          public void setParameter(java.lang.String parameterName,
                          java.lang.Object parameter)

      Specified by:
        `setParameter` in interface `ConfigurableProvider`

    - #### hasAlgorithm

          public boolean hasAlgorithm(java.lang.String type,
                             java.lang.String name)

      Specified by:
        `hasAlgorithm` in interface `ConfigurableProvider`

    - #### addAlgorithm

          public void addAlgorithm(java.lang.String key,
                          java.lang.String value)

      Specified by:
        `addAlgorithm` in interface `ConfigurableProvider`

    - #### addKeyInfoConverter

          public void addKeyInfoConverter(ASN1ObjectIdentifier oid,
                                 AsymmetricKeyInfoConverter keyInfoConverter)

      Specified by:
        `addKeyInfoConverter` in interface `ConfigurableProvider`

    - #### getPublicKey

          public static java.security.PublicKey getPublicKey(SubjectPublicKeyInfo publicKeyInfo)
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getPrivateKey

          public static java.security.PrivateKey getPrivateKey(PrivateKeyInfo privateKeyInfo)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`